//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.jameica.depot.finanzen.boerseffm.json;

import java.util.Date;

/**
 * Reprsentiert die Chart Daten
 * 
 * @author Frank Mnster
 * 
 */
public class ChartData {

	/**
	 * Schluss/Durchschnittswert
	 */
	private double adjClose;

	/**
	 * Datum
	 */
	private Date date;

	/**
	 * Tageshchstwert
	 */
	private double high;

	/**
	 * Tagestiefstwert
	 */
	private double low;

	/**
	 * Erffnungswert
	 */
	private double open;

	/**
	 * Volume
	 */
	private int volume;

	/**
	 * ???
	 */
	// private String notDefinedYet;

	/**
	 * Standardkonstruktor
	 */
	public ChartData() {
		// Absichtlich leer
	}

	/**
	 * @return the adjClose
	 */
	public double getAdjClose() {
		return adjClose;
	}

	/**
	 * @return the date
	 */
	public Date getDate() {
		return date;
	}

	/**
	 * @return the high
	 */
	public double getHigh() {
		return high;
	}

	/**
	 * @return the low
	 */
	public double getLow() {
		return low;
	}

	/**
	 * @return the open
	 */
	public double getOpen() {
		return open;
	}

	/**
	 * @return the volume
	 */
	public int getVolume() {
		return volume;
	}

	/**
	 * @param adjClose
	 *            the adjClose to set
	 */
	public void setAdjClose(final double adjClose) {
		this.adjClose = adjClose;
	}

	/**
	 * @param date
	 */
	public void setDate(final Date date) {
		this.date = date;

	}

	/**
	 * @param high
	 *            the high to set
	 */
	public void setHigh(final double high) {
		this.high = high;
	}

	/**
	 * @param low
	 *            the low to set
	 */
	public void setLow(final double low) {
		this.low = low;
	}

	/**
	 * @param open
	 *            the open to set
	 */
	public void setOpen(final double open) {
		this.open = open;
	}

	/**
	 * @param volume
	 *            the volume to set
	 */
	public void setVolume(final int volume) {
		this.volume = volume;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		final StringBuilder builder = new StringBuilder();
		builder.append(date).append(':').append(open).append(',').append(high).append(',').append(low).append(',')
				.append(adjClose).append(',').append(volume);

		return builder.toString();
	}

}
